For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a contact field

Define a new custom contact field in a profile. The slug is derived from the label and, like the field type, cannot be changed later. Use the returned uuid to set values on contacts.

Create a contact field

post

Define a new custom contact field in a profile.

The slug is derived from the label and, like the field type, cannot be changed later. Use the returned uuid to set values on contacts.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
profileUuidstringRequired

Profile uuid parameter

Example: 550e8400-e09b-41d4-a716-400055000000
Body

Define a custom contact field for the profile

typestring · enumRequired

Immutable once the field exists

Example: textPossible values:
labelstring · max: 255RequiredExample: Job title
optionsstring[] · min: 1 · max: 100Optional

Required for single_choice and multi_choice, ignored for the scalar types. Labels must be unique regardless of casing.

Responses
200

Success response

application/json
uuidstringOptionalExample: 550e8400-e29b-41d4-a716-446655440000
typestring · enumOptionalExample: textPossible values:
labelstringOptionalExample: Job title
slugstringOptional

Derived from the label on creation and immutable afterwards

Example: job_title
created_atstring · date-timeOptionalExample: 2025-02-27T11:54:22Z
post/api/reach/v1/profiles/{profileUuid}/contacts/fields
POST /api/reach/v1/profiles/{profileUuid}/contacts/fields HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "type": "text",
  "label": "Job title",
  "options": [
    "text"
  ]
}
{
  "uuid": "550e8400-e29b-41d4-a716-446655440000",
  "type": "text",
  "label": "Job title",
  "slug": "job_title",
  "options": [
    {
      "uuid": "550e8400-e29b-41d4-a716-446655440000",
      "label": "Gold",
      "sort_order": 0
    }
  ],
  "created_at": "2025-02-27T11:54:22Z"
}

Last updated

Was this helpful?